[@rxap/components](../wiki/globals) / ConfirmComponent

# Class: ConfirmComponent

Defined in: [confirm/confirm.component.ts:17](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/components/src/lib/confirm/confirm.component.ts#L17)

## Constructors

### new ConfirmComponent()

> **new ConfirmComponent**(): [`ConfirmComponent`](../wiki/Class.ConfirmComponent)

#### Returns

[`ConfirmComponent`](../wiki/Class.ConfirmComponent)

## Properties

### confirmed

> **confirmed**: `EventEmitter`\<`void`\>

Defined in: [confirm/confirm.component.ts:20](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/components/src/lib/confirm/confirm.component.ts#L20)

***

### unconfirmed

> **unconfirmed**: `EventEmitter`\<`void`\>

Defined in: [confirm/confirm.component.ts:23](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/components/src/lib/confirm/confirm.component.ts#L23)
